## python-treq 18.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/treq.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/treq.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/treq"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/treq"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-treq 15.1.0

=== debian/changelog ===
python-treq (15.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #822193)

 -- Orestis Ioannou <orestis@oioannou.com>  Tue, 24 May 2016 21:14:50 +0200

=== debian/control ===
Source: python-treq
Section: python
Priority: optional
Maintainer: Orestis Ioannou <orestis@oioannou.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-openssl (>= 0.13),
 python-requests,
 python-service-identity,
 python-setuptools,
 python-six,
 python-sphinx,
 python-twisted (>= 14.0.2),
 python3-all,
 python3-openssl (>= 0.15.1),
 python3-requests,
 python3-service-identity,
 python3-setuptools,
 python3-six,
 python3-twisted (>= 15.5.0),
Standards-Version: 3.9.8
Homepage: http://treq.readthedocs.org/en/latest/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-treq.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-treq.git

Package: python-treq
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: Higher level API for making HTTP requests with Twisted (Python 2)
 Treq is a HTTP library inspired by requests written on top of Twisted.
 It provides a simple, higher level API for making HTTP requests when using
 Twisted.
 .
 This is the Python 2 package.

Package: python3-treq
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Higher level API for making HTTP requests with Twisted (Python 3)
 Treq is a HTTP library inspired by requests written on top of Twisted.
 It provides a simple, higher level API for making HTTP requests when using
 Twisted.
 .
 This is the Python 3 package.

Package: python-treq-doc
Architecture: all
Depends:
 ${misc:Depends},
Section: doc
Description: Higher level API for making HTTP requests with Twisted (doc)
 Treq is a HTTP library inspired by requests written on top of Twisted.
 It provides a simple, higher level API for making HTTP requests when using
 Twisted.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=treq

%:
	dh $@ --with sphinxdoc,python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE) -C docs html
	dh_auto_build

override_dh_auto_test:
	# tests require internet access so they are disabled

=== debian/tests/control ===
Test-Command: trial treq/test
Depends: python-mock, python-requests, python-twisted

Test-Command: trial3 treq/test
Depends: python3-mock, python3-requests, python3-twisted

## python-treq 18.6.0

=== debian/changelog ===
python-treq (18.6.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938226

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Oct 2019 18:18:22 -0400

python-treq (18.6.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/copyright: Use https protocol in Format field.
  * Convert git repository from git-dpm to gbp layout.

  [ Andrej Shadura ]
  * New upstream release.
  * Update the dependencies.
  * Set PYTHONPATH when building docs.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 21 Dec 2018 23:55:14 +0100

=== debian/control ===
Source: python-treq
Section: python
Priority: optional
Maintainer: Orestis Ioannou <orestis@oioannou.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-sphinx,
 python3-all,
 python3-attr,
 python3-incremental,
 python3-openssl (>= 0.15.1),
 python3-requests (>= 2.1.0),
 python3-service-identity,
 python3-setuptools,
 python3-six,
 python3-twisted (>= 16.4.0),
Standards-Version: 3.9.8
Homepage: http://treq.readthedocs.org/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-treq.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-treq

Package: python3-treq
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Higher level API for making HTTP requests with Twisted (Python 3)
 Treq is a HTTP library inspired by requests written on top of Twisted.
 It provides a simple, higher level API for making HTTP requests when using
 Twisted.
 .
 This is the Python 3 package.

Package: python-treq-doc
Architecture: all
Depends:
 ${misc:Depends},
Section: doc
Description: Higher level API for making HTTP requests with Twisted (doc)
 Treq is a HTTP library inspired by requests written on top of Twisted.
 It provides a simple, higher level API for making HTTP requests when using
 Twisted.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=treq

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE) -C docs html PYTHONPATH=$(CURDIR)/src
	dh_auto_build

override_dh_auto_test:
	# tests require internet access so they are disabled

## python-treq 22.2.0

=== debian/changelog ===
python-treq (22.2.0-0.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrej Shadura ]
  * New upstream release.
  * Use dh-sequence-python3.
  * Use debhelper-compat 13.
  * Set Standards-Version: 4.6.0.
  * Set Rules-Requires-Root: no.
  * Update dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 16 Feb 2022 14:20:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,24 @@
 Priority: optional
 Maintainer: Orestis Ioannou <orestis@oioannou.com>
 Build-Depends:
- debhelper (>= 9),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-sphinx,
  python3-all,
  python3-attr,
+ python3-hyperlink (>= 21.0.0),
  python3-incremental,
  python3-openssl (>= 0.15.1),
  python3-requests (>= 2.1.0),
  python3-service-identity,
  python3-setuptools,
  python3-six,
- python3-twisted (>= 16.4.0),
-Standards-Version: 3.9.8
+ python3-twisted (>= 18.7.0),
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: http://treq.readthedocs.org/en/latest/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-treq.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-treq
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-treq.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-treq
 
 Package: python3-treq
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=treq
 
 %:
-	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	$(MAKE) -C docs html PYTHONPATH=$(CURDIR)/src

=== debian/tests/control ===
Test-Command: trial3 treq/test
Depends: python3-mock, python3-requests, python3-twisted

## python-treq 24.9.1

=== debian/changelog ===
python-treq (24.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Stop using the old cgi module (closes: #1084541).
  * Fix autopkgtests.
  * Add Depends and Built-Using for sphinxdoc (closes: #988773).
  * Simplify a debhelper override slightly.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Oct 2024 15:34:53 +0100

python-treq (23.11.0-1) unstable; urgency=medium

  * Team Upload
  * Sync Maintainer with Vcs tag
  * New upstream version 23.11.0
  * Remove obsolete dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Tue, 20 Aug 2024 12:54:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: python-treq
 Section: python
 Priority: optional
-Maintainer: Orestis Ioannou <orestis@oioannou.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Orestis Ioannou <orestis@oioannou.com>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-sphinx,
  python3-all,
  python3-attr,
@@ -14,8 +16,8 @@
  python3-requests (>= 2.1.0),
  python3-service-identity,
  python3-setuptools,
- python3-six,
  python3-twisted (>= 18.7.0),
+ python3-typing-extensions,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://treq.readthedocs.org/en/latest/
@@ -38,6 +40,9 @@
 Architecture: all
 Depends:
  ${misc:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Section: doc
 Description: Higher level API for making HTTP requests with Twisted (doc)
  Treq is a HTTP library inspired by requests written on top of Twisted.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=treq

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_build:
	$(MAKE) -C docs html PYTHONPATH=$(CURDIR)/src

override_dh_auto_test:
	# tests require internet access so they are disabled

## python-treq 25.5.0

=== debian/changelog ===
python-treq (25.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-sphinxdoc.

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Oct 2025 15:28:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,19 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  pybuild-plugin-pyproject,
- python3-sphinx,
  python3-all,
  python3-attr,
+ python3-hatchling,
  python3-hyperlink (>= 21.0.0),
  python3-incremental,
+ python3-multipart,
  python3-openssl (>= 0.15.1),
  python3-requests (>= 2.1.0),
  python3-service-identity,
- python3-setuptools,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
  python3-twisted (>= 18.7.0),
  python3-typing-extensions,
 Standards-Version: 4.6.0

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=treq
 
 %:
-	dh $@ --with sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_before_dh_auto_build:
 	$(MAKE) -C docs html PYTHONPATH=$(CURDIR)/src

=== debian/tests/control ===
Test-Command: trial3 treq.test
Depends:
 @,
 python3-httpbin,
 python3-requests,
 python3-twisted,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/treq/treq-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
